Bug 714924 - ipa-client-install complains about non-existing nss_ldap
Summary: ipa-client-install complains about non-existing nss_ldap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-21 10:49 UTC by Marko Myllynen
Modified: 2015-01-04 23:49 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When configuring an IPA client to use sssd if an error occurs looking up users an error message that "nss_ldap is not able to use DNS discovery" is displayed. Consequence: This is confusing because the default is to use sssd, not nss_ldap. Fix: The nss services are tested at the end of installation to be sure they are working. If sssd takes longer to start up than expected this error message will appear because the command 'getent passwd admin' failed. Make the error message more specific. Result: The user is show exactly what has failed.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:36:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Marko Myllynen 2011-06-21 10:49:36 UTC
Description of problem:
In some cases ipa-client-install complains:

"nss_ldap is not able to use DNS discovery!"

This is a bit confusing given that there is no nss_ldap package available on RHEL 6. There is nss-pam-ldapd but it is not required by ipa-client so the warning seems unnecessary. The warning should perhaps be removed or rephrased and shown only when relevant.

Version-Release number of selected component (if applicable):
RHEL 6.1

Comment 2 Dmitri Pal 2011-06-21 21:12:11 UTC
https://fedorahosted.org/freeipa/ticket/1369

Comment 3 Rob Crittenden 2011-08-01 20:05:08 UTC
master: d6875b9adc6d43ae9eec74e52070dd0833ccf2dc

Comment 6 Jenny Severance 2011-10-05 20:41:19 UTC
Can you please add steps to reproduce this issue?  When is "sometimes"?

Comment 7 Marko Myllynen 2011-10-07 09:46:17 UTC
This happened in a test network environment which has been since decommissioned. But since the issue has been clearly fixed in the referenced commit this BZ can be closed.

Comment 8 Namita Soman 2011-10-14 14:55:30 UTC
Tested using ipa-client-2.1.2-2.el6.x86_64
Seeing the new error message, using steps below:


# ipa-client-install --domain=testrelm --realm=TESTRELM -p admin -w Secret123 --no-sssd
Discovery was successful!
Hostname: rhel62-server2.testrelm
Realm: TESTRELM
DNS Domain: testrelm
IPA Server: rhel62-server1.testrelm
BaseDN: dc=testrelm


Continue to configure the system with these values? [no]: y
Synchronizing time with KDC...

Enrolled in IPA realm TESTRELM
Created /etc/ipa/default.conf
Configured /etc/krb5.conf for IPA realm TESTRELM
LDAP enabled
Kerberos 5 enabled
Unable to find 'admin' user with 'getent passwd admin'!
Unable to reliably detect configuration. Check NSS setup manually.
NTP enabled
Client configuration complete.




NeedInfo:
I see the new error.....but should I be seeing it?

Comment 11 Rob Crittenden 2011-10-14 15:27:51 UTC
Namita, I think you've found a new bug introduced in the fix for this. It looks like we don't update all the ldap config files we need to.

Comment 12 Rob Crittenden 2011-10-14 15:28:44 UTC
It is unclear how Marko was doing his installation but if you were installing with sssd you could get an error about nss_ldap not being configured and I think that is was the original driver of this was.

Comment 13 Marko Myllynen 2011-10-14 15:41:38 UTC
I was installing with SSSD so the complain about non-existing nss_ldap was misguided but it has been clearly fixed already.

If there are any other issues with non-sssd case then a new BZ should be filed.

Comment 14 Namita Soman 2011-10-14 15:44:05 UTC
opened bug 746276 for what I saw earlier

Comment 16 Rob Crittenden 2011-10-14 17:50:58 UTC
I think the thing to do here is test without the --no-sssd option and confirm you don't get an error about nss_ldap to verify the original bug report. We'll tackle the new issue in bug 746276.

Resetting ON_QA.

Comment 17 Namita Soman 2011-10-18 19:35:28 UTC
Verified using ipa-client-2.1.2-2.el6.x86_64

When running an install 
ipa-client-install -p admin -w <xxx>

i get error:
Configured /etc/krb5.conf for IPA realm TESTRELM
SSSD enabled
Unable to find 'admin' user with 'getent passwd admin'!
Recognized configuration: SSSD
NTP enabled


Like Marko, not sure of steps i took to get in this state, but confirmed that I'm not seeing the old nss_ldap message, and am getting the new error.

Comment 18 Rob Crittenden 2011-10-31 20:27:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When configuring an IPA client to use sssd if an error occurs looking up users an error message that "nss_ldap is not able to use DNS discovery" is displayed.
Consequence: This is confusing because the default is to use sssd, not nss_ldap.
Fix: The nss services are tested at the end of installation to be sure they are working. If sssd takes longer to start up than expected this error message will appear because the command 'getent passwd admin' failed. Make the error message more specific.
Result: The user is show exactly what has failed.

Comment 19 errata-xmlrpc 2011-12-06 18:36:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.